Paiements

Annuler les liens de paiement en attente d'un contrat

POST
/provider/endorsements/{contractId}/payment/cancel

Authorization

bearerAuth BROKER_ADMIN, SOUSCRIPTEUR, BROKER_USER, ACCOUNTANT
AuthorizationBearer <token>

Jeton obtenu via POST /provider/token. Les valeurs listées par opération sont les rôles acceptés.

In: header

Scope: BROKER_ADMIN, SOUSCRIPTEUR, BROKER_USER, ACCOUNTANT

Path Parameters

contractId*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://apigw-pp.pooltpv.app/subscription/api/v1/provider/endorsements/string/payment/cancel"
{
  "success": true,
  "message": "string",
  "data": null,
  "id": "string",
  "status": "Completed"
}
{
  "status": 404,
  "title": "Élément introuvable",
  "detail": "Contract not found",
  "exception": "CONTRACT_NOT_FOUND",
  "instance": "/api/v1/provider/contracts/abc",
  "details": {
    "property1": "string",
    "property2": "string"
  }
}
{
  "status": 404,
  "title": "Élément introuvable",
  "detail": "Contract not found",
  "exception": "CONTRACT_NOT_FOUND",
  "instance": "/api/v1/provider/contracts/abc",
  "details": {
    "property1": "string",
    "property2": "string"
  }
}
{
  "status": 404,
  "title": "Élément introuvable",
  "detail": "Contract not found",
  "exception": "CONTRACT_NOT_FOUND",
  "instance": "/api/v1/provider/contracts/abc",
  "details": {
    "property1": "string",
    "property2": "string"
  }
}
{
  "status": 404,
  "title": "Élément introuvable",
  "detail": "Contract not found",
  "exception": "CONTRACT_NOT_FOUND",
  "instance": "/api/v1/provider/contracts/abc",
  "details": {
    "property1": "string",
    "property2": "string"
  }
}